---
title: <input type="datetime">
slug: Web/HTML/Element/input/datetime
tags:
  - Element
  - HTML
  - HTML forms
  - Input
  - Input Element
  - Input Type
  - Obsolete
  - Reference
  - datetime
---
<div>{{HTMLRef}}{{obsolete_header}}</div>

<p>The HTML <code>&lt;input type="datetime"&gt;</code> was a control for entering a date and time (hour, minute, second, and fraction of a second) as well as a timezone. <strong>This feature has been <a class="external external-icon" href="https://github.com/whatwg/html/issues/336">removed from WHATWG HTML</a></strong>, and is no longer supported in browsers.</p>

<p>Instead, browsers are implementing (and developers are encouraged to use) <code><a href="/en-US/docs/Web/HTML/Element/input/datetime-local">&lt;input type="datetime-local"&gt;</a></code>.</p>

<p>The format of the date and time value used by this input type is described in {{SectionOnPage("/en-US/docs/Web/HTML/Date_and_time_formats", "Format of a valid global date and time string")}}.</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTMLElement("input")}} element</li>
 <li><a href="/en-US/docs/Web/HTML/Date_and_time_formats">Date and time formats used in HTML</a></li>
</ul>
